<?php
// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit;
}
require_once('header/plugin-header.php');
if (isset($_POST['submitFee']) && !empty($_POST['submitFee'])) {
    $post = $_POST;
    //save all posted data method define in class-advanced-flat-rate-shipping-for-woocommerce-admin
    $this->afrsm_pro_fees_conditions_save($post);
}
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit') {
    $post_id = $_REQUEST['id'];
    $sm_status = get_post_meta($post_id, 'sm_status', true);
    $ap_rule_status = get_post_meta($post_id, 'ap_rule_status', true);

    $sm_title = __(get_the_title($post_id), AFRSM_PRO_TEXT_DOMAIN);
    $sm_cost = get_post_meta($post_id, 'sm_product_cost', true);
    $getFeesPerQtyFlag = get_post_meta($post_id, 'sm_fee_chk_qty_price', true);
    $getFeesPerQty = get_post_meta($post_id, 'sm_fee_per_qty', true);
    $extraProductCost = get_post_meta($post_id, 'sm_extra_product_cost', true);
    $sm_tooltip_desc = get_post_meta($post_id, 'sm_tooltip_desc', true);
    $sm_is_taxable = get_post_meta($post_id, 'sm_select_taxable', true);
    $sm_estimation_delivery = get_post_meta($post_id, 'sm_estimation_delivery', true);
    $sm_start_date = get_post_meta($post_id, 'sm_start_date', true);
    $sm_end_date = get_post_meta($post_id, 'sm_end_date', true);
    $sm_extra_cost = get_post_meta($post_id, 'sm_extra_cost', true);
    $sm_extra_cost_calc_type = get_post_meta($post_id, 'sm_extra_cost_calculation_type', true);
    $sm_metabox = get_post_meta($post_id, 'sm_metabox', true);
    $cost_on_product_status = get_post_meta( $post_id, 'cost_on_product_status', true );
    $cost_on_category_status = get_post_meta( $post_id, 'cost_on_category_status', true );
    $cost_on_total_cart_qty_status = get_post_meta( $post_id, 'cost_on_total_cart_qty_status', true );
    $cost_on_product_weight_status = get_post_meta( $post_id, 'cost_on_product_weight_status', true );
    $cost_on_category_weight_status = get_post_meta( $post_id, 'cost_on_category_weight_status', true );
    $cost_on_total_cart_weight_status = get_post_meta( $post_id, 'cost_on_total_cart_weight_status', true );

    //APM variable initialize on edit action
    $sm_metabox_ap_product = get_post_meta($post_id, 'sm_metabox_ap_product', true);
    $sm_metabox_ap_category = get_post_meta($post_id, 'sm_metabox_ap_category', true);
    $sm_metabox_ap_total_cart_qty = get_post_meta($post_id, 'sm_metabox_ap_total_cart_qty', true);
    $sm_metabox_ap_product_weight = get_post_meta($post_id, 'sm_metabox_ap_product_weight', true);
    $sm_metabox_ap_category_weight = get_post_meta($post_id, 'sm_metabox_ap_category_weight', true);
    $sm_metabox_ap_total_cart_weight = get_post_meta($post_id, 'sm_metabox_ap_total_cart_weight', true);
    $sm_metabox_ap_class = get_post_meta($post_id, 'sm_metabox_ap_class', true);
} else {
    $post_id = '';
    $sm_status = '';
    $ap_rule_status = '';
    $sm_title = '';
    $sm_cost = '';
    $getFeesPerQtyFlag = '';
    $getFeesPerQty = '';
    $extraProductCost = '';
    $sm_tooltip_desc = '';
    $sm_is_taxable = '';
    $sm_estimation_delivery = '';
    $sm_start_date = '';
    $sm_end_date = '';
    $sm_extra_cost = array();
    $sm_extra_cost_calc_type = '';
    $sm_metabox = array();
    $cost_on_product_status = '';
    $cost_on_category_status = '';
    $cost_on_total_cart_qty_status = '';
    $cost_on_product_weight_status = '';
    $cost_on_category_weight_status = '';
    $cost_on_total_cart_weight_status = '';
    //APM variable initialize
    $sm_metabox_ap_product = array();
    $sm_metabox_ap_category = array();
    $sm_metabox_ap_total_cart_qty = array();
    $sm_metabox_ap_product_weight = array();
    $sm_metabox_ap_category_weight = array();
    $sm_metabox_ap_total_cart_weight = array();
    $sm_metabox_ap_class = array();
}

$sm_status = ((!empty($sm_status) && $sm_status == 'on') || empty($sm_status)) ? 'checked' : '';
$ap_rule_status = (!empty($ap_rule_status) && $ap_rule_status == 'on' && $ap_rule_status != "") ? 'checked' : '';
$cost_on_product_status = (!empty($cost_on_product_status) && $cost_on_product_status == 'on'  && $cost_on_product_status != "") ? 'checked' : '';
$cost_on_category_status = (!empty($cost_on_category_status) && $cost_on_category_status == 'on'  && $cost_on_category_status != "") ? 'checked' : '';
$cost_on_total_cart_qty_status = (!empty($cost_on_total_cart_qty_status) && $cost_on_total_cart_qty_status == 'on'  && $cost_on_total_cart_qty_status != "") ? 'checked' : '';
$cost_on_product_weight_status = (!empty($cost_on_product_weight_status) && $cost_on_product_weight_status == 'on'  && $cost_on_product_weight_status != "") ? 'checked' : '';
$cost_on_category_weight_status = (!empty($cost_on_category_weight_status) && $cost_on_category_weight_status == 'on'  && $cost_on_category_weight_status != "") ? 'checked' : '';
$cost_on_total_cart_weight_status = (!empty($cost_on_total_cart_weight_status) && $cost_on_total_cart_weight_status == 'on'  && $cost_on_total_cart_weight_status != "") ? 'checked' : '';

$sm_title = !empty($sm_title) ? esc_attr(stripslashes($sm_title)) : '';
$sm_cost = ($sm_cost !== '') ? esc_attr(stripslashes($sm_cost)) : '';
$sm_tooltip_desc = !empty($sm_tooltip_desc) ? $sm_tooltip_desc : '';
$sm_estimation_delivery = !empty($sm_estimation_delivery) ? esc_attr(stripslashes($sm_estimation_delivery)) : '';
$sm_start_date = !empty($sm_start_date) ? esc_attr(stripslashes($sm_start_date)) : '';
$sm_end_date = !empty($sm_end_date) ? esc_attr(stripslashes($sm_end_date)) : '';
$submit_text = __('Save changes', AFRSM_PRO_TEXT_DOMAIN);
?>
    <div class="text-condtion-is" style="display:none;">
        <select class="text-condition">
            <option value="is_equal_to"><?php _e('Equal to ( = )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="less_equal_to"><?php _e('Less or Equal to ( <= )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="less_then"><?php _e('Less than ( < )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="greater_equal_to"><?php _e('Greater or Equal to ( >= )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="greater_then"><?php _e('Greater than ( > )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="not_in"><?php _e('Not Equal to ( != )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
        </select>
        <select class="select-condition">
            <option value="is_equal_to"><?php _e('Equal to ( = )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
            <option value="not_in"><?php _e('Not Equal to ( != )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
        </select>
    </div>
    <div class="default-country-box" style="display:none;">
        <?php echo $this->afrsm_pro_get_country_list(); ?>
    </div>

    <div class="afrsm-section-left">

        <div class="afrsm-main-table res-cl">
            <h2><?php _e('Shipping Method Configuration', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
            <form method="POST" name="feefrm" action="">
                <input type="hidden" name="post_type" value="wc_afrsm">
                <input type="hidden" name="fee_post_id" value="<?php echo $post_id ?>">
                <table class="form-table table-outer shipping-method-table">
                    <tbody>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="onoffswitch"><?php _e('Status', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <label class="switch">
                                <input type="checkbox" name="sm_status" value="on" <?php echo $sm_status; ?>>
                                <div class="slider round"></div>
                            </label>
                            <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                            <p class="description"
                               style="display:none;"><?php _e('Enable or Disable this shipping method using this button (This method will be visible to customers only if it is enabled).', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="fee_settings_product_fee_title"><?php _e('Shipping Method Name', AFRSM_PRO_TEXT_DOMAIN); ?>
                                <span class="required-star">*</span></label>
                        </th>
                        <td class="forminp">
                            <input type="text" name="fee_settings_product_fee_title" class="text-class"
                                   id="fee_settings_product_fee_title" value="<?php echo $sm_title; ?>"
                                   required="1"
                                   placeholder="<?php _e('Enter product fees title', AFRSM_PRO_TEXT_DOMAIN); ?>">
                            <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                            <p class="description"
                               style="display:none;"><?php _e('This name will be visible to the customer at the time of checkout. This should convey the purpose of the charges you are applying to the order. For example "Ground Shipping", "Express Shipping Flat Rate", "Christmas Next Day Shipping" etc', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_product_cost"><?php _e('Shipping Charge', AFRSM_PRO_TEXT_DOMAIN); ?> <?php echo '(' . get_woocommerce_currency_symbol() . ')' ?>
                                <span class="required-star">*</span></label>
                        </th>
                        <td class="forminp">
                            <div class="product_cost_left_div">
                                <input type="text" name="sm_product_cost" required="1" class="text-class"
                                       id="sm_product_cost" value="<?php echo $sm_cost; ?>"
                                       placeholder="<?php echo get_woocommerce_currency_symbol(); ?>">
                                <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                <p class="description" style="display:none;">
                                    <?php
                                    _e('When customer select this shipping method the amount will be added to the cart subtotal.'
                                        . ' You can enter fixed amount or make it dynamic using below parameters:<br>'
                                        . '[qty] -> total number of items in cart,<br>'
                                        . '[cost] -> cost of items,<br>'
                                        . '[fee percent=10 min_fee=20] -> Percentage based fee.<br><br>'
                                        . 'Below are some examples: <br>'
                                        . 'i. 10.00  -> To add flat 10.00 shipping charge' . "<br>"
                                        . 'ii. 10.00 * [qty] -> To charge 10.00 per quantity in the cart. It will be 50.00 if the cart has 5 quantity.' . "<br>"
                                        . 'iii. [fee percent=10 min_fee=20] -> This means charge 10 percent of cart subtotal, minimum 20 charge will be applicable.', AFRSM_PRO_TEXT_DOMAIN);
                                    ?>
                                </p>
                            </div>
                            <div class="product_cost_right_div">
                                <div class="applyperqty-boxone">
                                    <label for="fee_chk_qty_price"><?php _e('Apply Per Quantity', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                                    <input type="checkbox" name="sm_fee_chk_qty_price" id="fee_chk_qty_price"
                                           class="chk_qty_price_class"
                                           value="on" <?php checked($getFeesPerQtyFlag, 'on'); ?>>
                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                    <p class="description"
                                       style="display:none;"><?php _e('Apply this fee per quantity of products.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                    <?php
                                    echo '<p class="note" style="padding: 0 4px;"><b style="color: red;">Note:</b> If you active this option then Advance Pricing Rule will be disable and not working.</p>';
                                    ?>
                                </div>
                                <div class="applyperqty-boxtwo">
                                    <label for="apply_per_qty_type"><?php _e('Calculate Quantity Based On', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                                    <select name="sm_fee_per_qty" id="price_cartqty_based"
                                            class="chk_qty_price_class" id="apply_per_qty_type">
                                        <option value="qty_cart_based" <?php selected($getFeesPerQty, 'qty_cart_based'); ?>><?php _e('Cart Based', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        <option value="qty_product_based" <?php selected($getFeesPerQty, 'qty_product_based'); ?>><?php _e('Product Based', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                    </select>
                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                    <p class="description"
                                       style="display:none;">
                                        <?php _e('1. If you want to apply the fee for each quantity - where quantity should calculated based on product/category/tag conditions, then select the "Product Based" option. (Note: You will have to set rules for products if you select product based option. Ex: Cart contains product : equal to : Test Product)<br> 2. If you want to apply the fee for each quantity in the customer\'s cart, then select the "Cart Based" option.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                </div>

                                <?php
                                $additionalfee_desc = __('You can add fee here to be charged for each additional quantity. E.g. if user has added 3 quantities and you have set fee=$10 and fee per additional quantity=$5, then total extra fee=$10+$5+$5=$20.<br>'
                                    . 'The quantity will be calculated based on the option chosen in the "Calculate Quantity Based On" above dropdown. That means, if you have chosen "Product Based" option - quantities will be calculated based on the products which are meeting the conditions set for this fee, and if they are more than 1, fee will be calculated considering only its additional quantities. e.g. 5 items in cart, and 3 are meeting the condition set, then additional fee of $5 will be charged on 2 quantities only, and not on 4 quantities.', AFRSM_PRO_TEXT_DOMAIN);
                                ?>
                                <div class="applyperqty-boxthree">
                                    <label for="extra_product_cost"><?php _e('Fee per Additional Quantity&nbsp;(' . get_woocommerce_currency_symbol() . ') ', AFRSM_PRO_TEXT_DOMAIN); ?>
                                        <span class="required-star">*</span></label>
                                    <input type="text" name="sm_extra_product_cost" class="text-class"
                                           id="extra_product_cost" required
                                           value="<?php echo isset($extraProductCost) ? $extraProductCost : ''; ?>"
                                           placeholder="<?php echo get_woocommerce_currency_symbol(); ?>">
                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                    <p class="description"
                                       style="display:none;"><?php echo $additionalfee_desc; ?></p>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_tooltip_desc"><?php _e('Tooltip Description', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <textarea name="sm_tooltip_desc" rows="3" cols="70" id="sm_tooltip_desc"
                                      placeholder="<?php _e('Enter tooltip short description', AFRSM_PRO_TEXT_DOMAIN); ?>"><?php echo $sm_tooltip_desc; ?></textarea>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_select_taxable"><?php _e('Is Amount Taxable?', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <select name="sm_select_taxable" id="sm_select_taxable" class="">
                                <option value="no" <?php echo isset($sm_is_taxable) && $sm_is_taxable == 'no' ? 'selected="selected"' : '' ?>><?php _e('No', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                <option value="yes" <?php echo isset($sm_is_taxable) && $sm_is_taxable == 'yes' ? 'selected="selected"' : '' ?>><?php _e('Yes', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_estimation_delivery"><?php _e('Estimated Delivery Time', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <input type="text" name="sm_estimation_delivery" class="text-class"
                                   id="sm_estimation_delivery"
                                   placeholder="<?php _e('e.g. (2-5 days)', AFRSM_PRO_TEXT_DOMAIN); ?>"
                                   value="<?php echo $sm_estimation_delivery; ?>">
                            <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                            <p class="description" style="display:none;">
                                <?php _e('With this feature, you can specify approximately days or time to deliver the order to the customers. It will increase your conversion ratio.', AFRSM_PRO_TEXT_DOMAIN); ?>
                            </p>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_start_date"><?php _e('Start Date', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <input type="text" name="sm_start_date" class="text-class" id="sm_start_date"
                                   value="<?php echo $sm_start_date; ?>"
                                   placeholder="<?php _e('Select start date', AFRSM_PRO_TEXT_DOMAIN); ?>">
                            <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                            <p class="description"
                               style="display:none;"><?php _e('Select start date on which date shipping method will enable on the website.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th class="titledesc" scope="row">
                            <label for="sm_end_date"><?php _e('End Date', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                        </th>
                        <td class="forminp">
                            <input type="text" name="sm_end_date" class="text-class" id="sm_end_date"
                                   value="<?php echo $sm_end_date; ?>"
                                   placeholder="<?php _e('Select end date', AFRSM_PRO_TEXT_DOMAIN); ?>">
                            <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                            <p class="description"
                               style="display:none;"><?php _e('Select end date on which date shipping method will disable on the website.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <?php
                $all_shipping_classes = WC()->shipping->get_shipping_classes();
                if (!empty($all_shipping_classes)) {
                    ?>
                    <div class="sub-title">
                        <h2><?php _e('Additional Shipping Charges Based on Shipping Class', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                    </div>
                    <div class="tap">
                        <table class="form-table table-outer shipping-method-table">
                            <tbody>
                            <tr valign="top">
                                <td class="forminp" colspan="2">
                                    <?php echo sprintf(__('These costs can optionally be added based on the %sproduct shipping class%s.', AFRSM_PRO_TEXT_DOMAIN), '<a href="' . admin_url('admin.php?page=wc-settings&tab=shipping&section=classes') . '">', '</a>'); ?>
                                </td>
                            </tr>
                            <?php
                            foreach ($all_shipping_classes as $key => $shipping_class) {
                                $shipping_extra_cost = isset($sm_extra_cost["$shipping_class->term_id"]) && ($sm_extra_cost["$shipping_class->term_id"] !== '') ? $sm_extra_cost["$shipping_class->term_id"] : "";
                                ?>
                                <tr valign="top">
                                    <th class="titledesc" scope="row">
                                        <label for="extra_cost_<?php echo $shipping_class->term_id; ?>"><?php echo sprintf(__('"%s" shipping class cost', AFRSM_PRO_TEXT_DOMAIN), esc_html($shipping_class->name)); ?></label>
                                    </th>
                                    <td class="forminp">
                                        <input type="text"
                                               name="sm_extra_cost[<?php echo $shipping_class->term_id; ?>]"
                                               class="text-class"
                                               id="extra_cost_<?php echo $shipping_class->term_id; ?>"
                                               value="<?php echo htmlentities($shipping_extra_cost); ?>"
                                               placeholder="<?php echo get_woocommerce_currency_symbol(); ?>">
                                    </td>
                                </tr>
                            <?php } ?>
                            <tr valign="top">
                                <th class="titledesc" scope="row">
                                    <label for="sm_extra_cost_calculation_type"><?php _e('Calculation type', AFRSM_PRO_TEXT_DOMAIN) ?></label>
                                </th>
                                <td class="forminp">
                                    <select name="sm_extra_cost_calculation_type"
                                            id="sm_extra_cost_calculation_type">
                                        <option value="per_class" <?php selected($sm_extra_cost_calc_type, 'per_class'); ?>><?php _e('Per class: Charge shipping for each shipping class individually', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        <option value="per_order" <?php selected($sm_extra_cost_calc_type, 'per_order'); ?>><?php _e('Per order: Charge shipping for the most expensive shipping class', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                    </select>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                <?php } ?>
<div class="shipping-method-rules">
                <div class="sub-title">
                    <h2><?php _e('Shipping Method Rules', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                    <div class="tap">
                        <a id="fee-add-field" class="button button-primary button-large"
                           href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                    </div>
                </div>
                <div class="tap">
                    <table id="tbl-shipping-method"
                           class="tbl_product_fee table-outer tap-cas form-table shipping-method-table">
                        <tbody>
                        <?php
                        if (isset($sm_metabox) && !empty($sm_metabox)) {
                            $i = 2;
                            foreach ($sm_metabox as $key => $productfees) {
                                $fees_conditions = isset($productfees['product_fees_conditions_condition']) ? $productfees['product_fees_conditions_condition'] : '';
                                $condition_is = isset($productfees['product_fees_conditions_is']) ? $productfees['product_fees_conditions_is'] : '';
                                $condtion_value = isset($productfees['product_fees_conditions_values']) ? $productfees['product_fees_conditions_values'] : array();
                                ?>
                                <tr id="row_<?php echo $i; ?>" valign="top">
                                    <th class="titledesc th_product_fees_conditions_condition" scope="row">
                                        <select rel-id="<?php echo $i; ?>"
                                                id="product_fees_conditions_condition_<?php echo $i; ?>"
                                                name="fees[product_fees_conditions_condition][]"
                                                id="product_fees_conditions_condition"
                                                class="product_fees_conditions_condition">
                                            <optgroup
                                                    label="<?php _e('Location Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                                <option value="country" <?php echo ($fees_conditions == 'country') ? 'selected' : '' ?>><?php _e('Country', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="state" <?php echo ($fees_conditions == 'state') ? 'selected' : '' ?>><?php _e('State', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="postcode" <?php echo ($fees_conditions == 'postcode') ? 'selected' : '' ?>><?php _e('Postcode', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="zone" <?php echo ($fees_conditions == 'zone') ? 'selected' : '' ?>><?php _e('Zone', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </optgroup>
                                            <optgroup
                                                    label="<?php _e('Product Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                                <option value="product" <?php echo ($fees_conditions == 'product') ? 'selected' : '' ?>><?php _e('Cart contains product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="variableproduct" <?php echo ($fees_conditions == 'variableproduct') ? 'selected' : '' ?>><?php _e('Cart contains variable product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="category" <?php echo ($fees_conditions == 'category') ? 'selected' : '' ?>><?php _e('Cart contains category\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="tag" <?php echo ($fees_conditions == 'tag') ? 'selected' : '' ?>><?php _e('Cart contains tag\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="sku" <?php echo ($fees_conditions == 'sku') ? 'selected' : '' ?>><?php _e('Cart contains SKU\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </optgroup>
                                            <optgroup
                                                    label="<?php _e('User Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                                <option value="user" <?php echo ($fees_conditions == 'user') ? 'selected' : '' ?>><?php _e('User', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="user_role" <?php echo ($fees_conditions == 'user_role') ? 'selected' : '' ?>><?php _e('User Role', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </optgroup>
                                            <optgroup
                                                    label="<?php _e('Cart Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                                <?php
                                                $currency_symbol = get_woocommerce_currency_symbol();
                                                $currency_symbol = !empty($currency_symbol) ? '(' . $currency_symbol . ')' : '';

                                                $weight_unit = get_option('woocommerce_weight_unit');
                                                $weight_unit = !empty($weight_unit) ? '(' . $weight_unit . ')' : '';
                                                ?>
                                                <option value="cart_total" <?php echo ($fees_conditions == 'cart_total') ? 'selected' : '' ?>><?php _e('Cart Subtotal (Before Discount) ', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $currency_symbol; ?></option>
                                                <option value="cart_totalafter" <?php echo ($fees_conditions == 'cart_totalafter') ? 'selected' : '' ?>><?php _e('Cart Subtotal (After Discount) ', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $currency_symbol; ?></option>
                                                <option value="quantity" <?php echo ($fees_conditions == 'quantity') ? 'selected' : '' ?>><?php _e('Quantity', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="weight" <?php echo ($fees_conditions == 'weight') ? 'selected' : '' ?>><?php _e('Weight ', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $weight_unit; ?></option>
                                                <option value="coupon" <?php echo ($fees_conditions == 'coupon') ? 'selected' : '' ?>><?php _e('Coupon', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="shipping_class" <?php echo ($fees_conditions == 'shipping_class') ? 'selected' : '' ?>><?php _e('Shipping Class', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </optgroup>
                                        </select>
                                    </th>
                                    <td class="select_condition_for_in_notin">
                                        <?php if ($fees_conditions == 'cart_total' || $fees_conditions == 'cart_totalafter' || $fees_conditions == 'quantity' || $fees_conditions == 'weight') { ?>
                                            <select name="fees[product_fees_conditions_is][]"
                                                    class="product_fees_conditions_is_<?php echo $i; ?>">
                                                <option value="is_equal_to" <?php echo ($condition_is == 'is_equal_to') ? 'selected' : '' ?>><?php _e('Equal to ( = )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="less_equal_to" <?php echo ($condition_is == 'less_equal_to') ? 'selected' : '' ?>><?php _e('Less or Equal to ( <= )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="less_then" <?php echo ($condition_is == 'less_then') ? 'selected' : '' ?>><?php _e('Less than ( < )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="greater_equal_to" <?php echo ($condition_is === 'greater_equal_to') ? 'selected' : '' ?>><?php _e('Greater or Equal to ( >= )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="greater_then" <?php echo ($condition_is == 'greater_then') ? 'selected' : '' ?>><?php _e('Greater than ( > )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="not_in" <?php echo ($condition_is == 'not_in') ? 'selected' : '' ?>><?php _e('Not Equal to ( != )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </select>
                                        <?php } else { ?>
                                            <select name="fees[product_fees_conditions_is][]"
                                                    class="product_fees_conditions_is_<?php echo $i; ?>">
                                                <option value="is_equal_to" <?php echo ($condition_is == 'is_equal_to') ? 'selected' : '' ?>><?php _e('Equal to ( = )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <option value="not_in" <?php echo ($condition_is == 'not_in') ? 'selected' : '' ?>><?php _e('Not Equal to ( != )', AFRSM_PRO_TEXT_DOMAIN); ?> </option>
                                            </select>
                                        <?php } ?>
                                    </td>
                                    <td class="condition-value" id="column_<?php echo $i; ?>">
                                        <?php
                                        $html = '';
                                        if ($fees_conditions == 'country') {
                                            $html .= $this->afrsm_pro_get_country_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'state') {
                                            $html .= $this->afrsm_pro_get_states_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'postcode') {
                                            $html .= '<textarea name = "fees[product_fees_conditions_values][value_' . $i . ']">' . $condtion_value . '</textarea>';
                                        } elseif ($fees_conditions == 'zone') {
                                            $html .= $this->afrsm_pro_get_zones_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'product') {
                                            $html .= $this->afrsm_pro_get_product_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'variableproduct') {
                                            $html .= $this->afrsm_pro_get_varible_product_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'category') {
                                            $html .= $this->afrsm_pro_get_category_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'tag') {
                                            $html .= $this->afrsm_pro_get_tag_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'sku') {
                                            $html .= $this->afrsm_pro_get_sku_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'user') {
                                            $html .= $this->afrsm_pro_get_user_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'user_role') {
                                            $html .= $this->afrsm_pro_get_user_role_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'cart_total') {
                                            $html .= '<input type = "text" name = "fees[product_fees_conditions_values][value_' . $i . ']" id = "product_fees_conditions_values" class = "product_fees_conditions_values" value = "' . $condtion_value . '">';
                                        } elseif ($fees_conditions == 'cart_totalafter') {
                                            $html .= '<input type="text" name="fees[product_fees_conditions_values][value_' . $i . ']" id="product_fees_conditions_values" class="product_fees_conditions_values" value="' . $condtion_value . '"><p><b style="color: red;">Note: </b>This rule will apply when you would apply coupun in front side. <a href="'.esc_url('https://www.thedotstore.com/docs/plugin/woocommerce-conditional-product-fees-checkout/').'" target="_blank">here</a>.</p>';
                                        } elseif ($fees_conditions == 'quantity') {
                                            $html .= '<input type = "text" name = "fees[product_fees_conditions_values][value_' . $i . ']" id = "product_fees_conditions_values" class = "product_fees_conditions_values" value = "' . $condtion_value . '">';
                                        } elseif ($fees_conditions == 'weight') {
                                            $html .= '<input type = "text" name = "fees[product_fees_conditions_values][value_' . $i . ']" id = "product_fees_conditions_values" class = "product_fees_conditions_values" value = "' . $condtion_value . '"><p><b style="color: red;">Note: </b>Please make sure that when you add rules in <b>Advanced Pricing &gt; Cost per weight</b> Section It contains in above entered weight, otherwise it may be not apply proper shipping charges. For more detail please view our documentation at <a href="'.esc_url('https://www.thedotstore.com/docs/plugin/woocommerce-conditional-product-fees-checkout/').'" target="_blank">here</a>.</p>';
                                        } elseif ($fees_conditions == 'coupon') {
                                            $html .= $this->afrsm_pro_get_coupon_list($i, $condtion_value);
                                        } elseif ($fees_conditions == 'shipping_class') {
                                            $html .= $this->afrsm_pro_get_advance_flat_rate_class($i, $condtion_value);
                                        }
                                        echo $html;
                                        ?>
                                        <input type="hidden"
                                               name="condition_key[<?php echo 'value_' . $i; ?>]" value="">
                                    </td>
                                    <td><a id="fee-delete-field" rel-id="<?php echo $i; ?>"
                                           class="delete-row" href="javascript:;" title="Delete"><i
                                                    class="fa fa-trash"></i></a></td>
                                </tr>
                                <?php
                                $i++;
                            }
                            ?>
                            <?php
                        } else {
                            $i = 1;
                            ?>
                            <tr id="row_1" valign="top">
                                <th class="titledesc th_product_fees_conditions_condition" scope="row">
                                    <select rel-id="1" id="product_fees_conditions_condition_1"
                                            name="fees[product_fees_conditions_condition][]"
                                            id="product_fees_conditions_condition"
                                            class="product_fees_conditions_condition">
                                        <optgroup
                                                label="<?php _e('Location Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                            <option value="country"><?php _e('Country', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="state"><?php _e('State', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="postcode"><?php _e('Postcode', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="zone"><?php _e('Zone', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        </optgroup>
                                        <optgroup
                                                label="<?php _e('Product Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                            <option value="product"><?php _e('Cart contains product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="variableproduct"><?php _e('Cart contains variable product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="category"><?php _e('Cart contains category\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="tag"><?php _e('Cart contains tag\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="sku"><?php _e('Cart contains SKU\'s product', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        </optgroup>
                                        <optgroup
                                                label="<?php _e('User Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                            <option value="user"><?php _e('User', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="user_role"><?php _e('User Role', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        </optgroup>
                                        <optgroup
                                                label="<?php _e('Cart Specific', AFRSM_PRO_TEXT_DOMAIN); ?>">
                                            <?php
                                            $get_woocommerce_currency_symbol = get_woocommerce_currency_symbol();
                                            $woocommerce_weight_unit = get_option('woocommerce_weight_unit');
                                            $currency_symbol = !empty($get_woocommerce_currency_symbol) ? '(' . $get_woocommerce_currency_symbol . ')' : '';
                                            $weight_unit = !empty($woocommerce_weight_unit) ? '(' . $woocommerce_weight_unit . ')' : '';
                                            ?>
                                            <option value="cart_total"><?php _e('Cart Subtotal (Before Discount) ', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $currency_symbol; ?></option>
                                            <option value="cart_totalafter"><?php _e('Cart Subtotal (After Discount) ', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $currency_symbol; ?></option>
                                            <option value="quantity"><?php _e('Quantity', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="weight"><?php _e('Weight', AFRSM_PRO_TEXT_DOMAIN); ?><?php echo $weight_unit; ?></option>
                                            <option value="coupon"><?php _e('Coupon', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            <option value="shipping_class"><?php _e('Shipping Class', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        </optgroup>
                                    </select>
                                <td class="select_condition_for_in_notin">
                                    <select name="fees[product_fees_conditions_is][]"
                                            class="product_fees_conditions_is product_fees_conditions_is_1">
                                        <option value="is_equal_to"><?php _e('Equal to ( = )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                        <option value="not_in"><?php _e('Not Equal to ( != )', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                    </select>
                                </td>
                                <td id="column_1" class="condition-value">
                                    <?php echo $this->afrsm_pro_get_country_list(1); ?>
                                    <input type="hidden" name="condition_key[value_1][]" value="">
                                </td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                    <input type="hidden" name="total_row" id="total_row" value="<?php echo $i; ?>">
                </div>

</div>
                <!-- Advanced Pricing Section start -->
                <div id="apm_wrap" class="adv-pricing-rules">
                    <!-- Advanced Pricing Product Section start here -->
                    <div class="ap_title">
                        <h2><?php _e('Advanced Shipping Price Rules', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                        <label class="switch">
                            <input type="checkbox" name="ap_rule_status"
                                   value="on" <?php echo $ap_rule_status; ?>>
                            <div class="slider round"></div>
                        </label>
                        <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                        <p class="description"
                           style="display:none;padding-left: 15px;"><?php _e('If enabled this Advanced Pricing button only than below all rule\'s will go for apply to shipping method.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                    </div>

                            <div class="pricing_rules">
                                <div class="pricing_rules_tab">
                                    <ul class="tabs">
                                        <li class="tab-link current" data-tab="tab-1"><?php _e('Cost on Product', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                        <li class="tab-link" data-tab="tab-2"><?php _e('Cost on Category', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                        <li class="tab-link" data-tab="tab-3"><?php _e('Cost on Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                        <li class="tab-link" data-tab="tab-4"><?php _e('Cost on Product Weight', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                        <li class="tab-link" data-tab="tab-5"><?php _e('Cost on Category Weight', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                        <li class="tab-link" data-tab="tab-6"><?php _e('Cost on Total Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?></li>
                                    </ul>
                                </div>
                                <div class="pricing_rules_tab_content">
                                    <div class="ap_product_container advance_pricing_rule_box tab-content current" id="tab-1">
                                        <div class="tap">
                                            <div class="predefined_elements">
                                                <div id="all_product_list"></div>
                                            </div>
                                            <div class="sub-title">
                                                <h2><?php _e('Cost on Product', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                                <div class="tap">
                                                    <a id="ap-product-add-field" class="button button-primary button-large"
                                                       href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                    <div class="switch_status_div">
                                                        <label class="switch switch_in_pricing_rules">
                                                            <input type="checkbox" name="cost_on_product_status"
                                                                   value="on" <?php echo $cost_on_product_status; ?>>
                                                            <div class="slider round"></div>
                                                        </label>
                                                        <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                            <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <table id="tbl-ap-product-method"
                                                   class="tbl_product_fee table-outer tap-cas form-table advance-shipping-method-table">
                                                <tbody>
                                                <tr class="heading">
                                                    <th class="titledesc th_product_fees_conditions_condition" scope="row">
                                                        <?php _e('Product', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('Select a product to apply the fee amount to when the min/max
                                                quantity match.', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                    <th class="titledesc th_product_fees_conditions_condition" scope="row">
                                                        <?php _e('Min Quantity ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('You can set a minimum product quantity per row before the fee amount
                                                is applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                            <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p></th>
                                                    <th class="titledesc th_product_fees_conditions_condition" scope="row">
                                                        <?php _e('Max Quantity ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('You can set a maximum product quantity per row before the fee amount
                                                is applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                            <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p></th>
                                                    <th class="titledesc th_product_fees_conditions_condition" scope="row"
                                                        colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('A fixed amount (e.g. 5 / -5), percentage (e.g. 5% / -5%) to add as a
                                                fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                    </th>
                                                </tr>
                                                <?php
                                                //check advanced pricing value fill proper or unset if not
                                                $filled_arr = array();
                                                if (!empty($sm_metabox_ap_product) && is_array($sm_metabox_ap_product)):
                                                    foreach ($sm_metabox_ap_product as $app_arr):
                                                        //check that if required field fill or not once save the APR,  if match than fill in array
                                                        if (!empty($app_arr) || $app_arr != '') {
                                                            if (($app_arr['ap_fees_products'] != '' && $app_arr['ap_fees_ap_price_product'] != '') && ($app_arr['ap_fees_ap_prd_min_qty'] != '' || $app_arr['ap_fees_ap_prd_max_qty'] != '')) {
                                                                //if condition match than fill in array
                                                                $filled_arr[] = $app_arr;
                                                            }
                                                        }
                                                    endforeach;
                                                endif;
                                                //check APR exist
                                                if (isset($filled_arr) && !empty($filled_arr)) {
                                                    $cnt_product = 2;
                                                    foreach ($filled_arr as $key => $productfees) {
                                                        $fees_ap_fees_products = isset($productfees['ap_fees_products']) ? $productfees['ap_fees_products'] : '';
                                                        $ap_fees_ap_min_qty = isset($productfees['ap_fees_ap_prd_min_qty']) ? $productfees['ap_fees_ap_prd_min_qty'] : '';
                                                        $ap_fees_ap_max_qty = isset($productfees['ap_fees_ap_prd_max_qty']) ? $productfees['ap_fees_ap_prd_max_qty'] : '';
                                                        $ap_fees_ap_price_product = isset($productfees['ap_fees_ap_price_product']) ? $productfees['ap_fees_ap_price_product'] : '';
                                                        ?>
                                                        <tr id="ap_product_row_<?php echo $cnt_product; ?>" valign="top" class="ap_product_row_tr">
                                                            <th class="titledesc" scope="row">
                                                                 <?php echo $this->afrsm_pro_get_product_options($cnt_product, $fees_ap_fees_products); ?>
                                                            <td class="column_<?php echo $cnt_product; ?> condition-value">
                                                                <input type="number" name="fees[ap_prd_min_qty][]"
                                                                       class="text-class" id="ap_prd_min_qty[]"
                                                                       placeholder="Min quantity"
                                                                       value="<?php echo $ap_fees_ap_min_qty; ?>" min="1">
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product; ?> condition-value">
                                                                <input type="number" name="fees[ap_prd_max_qty][]"
                                                                       class="text-class" id="ap_prd_max_qty[]"
                                                                       placeholder="Max quantity"
                                                                       value="<?php echo $ap_fees_ap_max_qty; ?>" min="1">
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product; ?> condition-value">
                                                                <input type="text" name="fees[ap_price_product][]"
                                                                       class="text-class"
                                                                       id="ap_price_product[]" placeholder="amount"
                                                                       value="<?php echo $ap_fees_ap_price_product; ?>">
                                                                <?php
                                                                //get first character for check is minus sign or not
                                                                $first_char = substr($ap_fees_ap_price_product, 0, 1);
                                                                if ($first_char == '-') {
                                                                    //if first character is minus sign than it will display notice.
                                                                    echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';
                                                                }
                                                                ?>
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product; ?> condition-value">
                                                                <a id="ap-product-delete-field" rel-id="<?php echo $cnt_product; ?>"
                                                                   title="Delete" class="delete-row" href="javascript:;">
                                                                    <i class="fa fa-trash"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        $cnt_product++;
                                                    }
                                                    ?>
                                                    <?php
                                                } else {
                                                    $cnt_product = 1;
                                                     } ?>
                                                </tbody>
                                            </table>
                                            <input type="hidden" name="total_row_product" id="total_row_product"
                                                   value="<?php echo $cnt_product; ?>">
                                        </div>
                                    </div>
                                    <!-- Advanced Pricing Product Section end here -->

                                    <!-- Advanced Pricing Category Section start here -->
                                    <div class="ap_category_container advance_pricing_rule_box tab-content" id="tab-2">
                                        <div class="predefined_elements">
                                            <div id="all_category_list">
                                                <option value=""><?php _e('Select Category', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <?php echo $this->afrsm_pro_get_category_options(); //ger all product options from bottom function defined  ?>
                                            </div>
                                        </div>
                                        <div class="sub-title">
                                            <h2><?php _e('Cost on Category', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                            <div class="tap">
                                                <a id="ap-category-add-field" class="button button-primary button-large"
                                                   href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                <div class="switch_status_div">
                                                    <label class="switch switch_in_pricing_rules">
                                                        <input type="checkbox" name="cost_on_category_status"
                                                               value="on" <?php echo $cost_on_category_status; ?>>
                                                        <div class="slider round"></div>
                                                    </label>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                        <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <table id="tbl-ap-category-method"
                                               class="tbl_category_fee table-outer tap-cas form-table advance-shipping-method-table">
                                            <tbody>
                                            <tr class="heading">
                                                <th class="titledesc th_category_fees_conditions_condition"
                                                    scope="row"><?php _e('Category', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('Select a category to apply the fee amount to when the min/max quantity
                                                        match.', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                <th class="titledesc th_category_fees_conditions_condition" scope="row">
                                                    <?php _e('Min Quantity ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a minimum category quantity per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_category_fees_conditions_condition" scope="row">
                                                    <?php _e('Max Quantity ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a maximum category quantity per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_category_fees_conditions_condition" scope="row"
                                                    colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('A fixed amount (e.g. 5 / -5)', AFRSM_PRO_TEXT_DOMAIN); ?>, <?php _e('percentage (e.g. 5% / -5%) to add as a
                                                        fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                </th>
                                            </tr>
                                            <?php
                                            //check advanced pricing value fill proper or unset if not
                                            $filled_arr = array();
                                            //check if category AP rules exist
                                            if (!empty($sm_metabox_ap_category) && is_array($sm_metabox_ap_category)):

                                                foreach ($sm_metabox_ap_category as $apcat_arr):
                                                    //check that if required field fill or not once save the APR,  if match than fill in array
                                                    if (!empty($apcat_arr) || $apcat_arr != '') {
                                                        if (
                                                            ($apcat_arr['ap_fees_categories'] != '' && $apcat_arr['ap_fees_ap_price_category'] != '') &&
                                                            ($apcat_arr['ap_fees_ap_cat_min_qty'] != '' || $apcat_arr['ap_fees_ap_cat_max_qty'] != '')
                                                        ) {
                                                            //if condition match than fill in array
                                                            $filled_arr[] = $apcat_arr;
                                                        }
                                                    }
                                                endforeach;
                                            endif;
                                            //check APR exist
                                            if (isset($filled_arr) && !empty($filled_arr)) {
                                                $cnt_category = 2;
                                                foreach ($filled_arr as $key => $productfees) {
                                                    $fees_ap_fees_categories = isset($productfees['ap_fees_categories']) ? $productfees['ap_fees_categories'] : '';
                                                    $ap_fees_ap_cat_min_qty = isset($productfees['ap_fees_ap_cat_min_qty']) ? $productfees['ap_fees_ap_cat_min_qty'] : '';
                                                    $ap_fees_ap_cat_max_qty = isset($productfees['ap_fees_ap_cat_max_qty']) ? $productfees['ap_fees_ap_cat_max_qty'] : '';
                                                    $ap_fees_ap_price_category = isset($productfees['ap_fees_ap_price_category']) ? $productfees['ap_fees_ap_price_category'] : '';
                                                    ?>
                                                    <tr id="ap_category_row_<?php echo $cnt_category; ?>" valign="top" class="ap_category_row_tr">
                                                        <td class="titledesc" scope="row">
                                                            <select rel-id="<?php echo $cnt_category; ?>"
                                                                    id="ap_category_fees_conditions_condition_<?php echo $cnt_category; ?>"
                                                                    name="fees[ap_category_fees_conditions_condition][<?php echo $cnt_category; ?>][]"
                                                                    id="ap_category_fees_conditions_condition"
                                                                    class="ap_category product_fees_conditions_values multiselect2"
                                                                    multiple="multiple">
                                                                <option value="">---</option>
                                                                <?php
                                                                echo $this->afrsm_pro_get_category_options($fees_ap_fees_categories);
                                                                ?>
                                                            </select>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_cat_min_qty][]"
                                                                   class="text-class" id="ap_cat_min_qty[]"
                                                                   placeholder="Min quantity"
                                                                   value="<?php echo $ap_fees_ap_cat_min_qty; ?>" min="1">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_cat_max_qty][]"
                                                                   class="text-class" id="ap_cat_max_qty[]"
                                                                   placeholder="Max quantity"
                                                                   value="<?php echo $ap_fees_ap_cat_max_qty; ?>" min="1">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category; ?> condition-value">
                                                            <input type="text"
                                                                   name="fees[ap_price_category][]"
                                                                   class="text-class" id="ap_price_category[]"
                                                                   placeholder="amount"
                                                                   value="<?php echo $ap_fees_ap_price_category; ?>">
                                                            <?php
                                                            //get first character for check is minus sign or not
                                                            $first_char = substr($ap_fees_ap_price_category, 0, 1);
                                                            if ($first_char == '-') {
                                                                //if first character is minus sign than it will display notice.
                                                                echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';
                                                            }
                                                            ?>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category; ?> condition-value">
                                                            <a id="ap-category-delete-field" rel-id="<?php echo $cnt_category; ?>"
                                                               title="Delete" class="delete-row" href="javascript:;">
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                    $cnt_category++;
                                                }
                                                ?>
                                                <?php
                                            } else {
                                                $cnt_category = 1;
                                                 } ?>
                                            </tbody>
                                        </table>
                                        <input type="hidden" name="total_row_category" id="total_row_category"
                                               value="<?php echo $cnt_category; ?>">
                                        <!-- Advanced Pricing Category Section end here -->
                                    </div>
                                    <!-- Advanced Pricing Category Section end here -->

                                    <!-- Advanced Pricing Total QTY start here -->
                                    <div class="ap_total_cart_container advance_pricing_rule_box tab-content" id="tab-3">
                                        <div class="predefined_elements">
                                            <div id="all_cart_qty">
                                                <option value="total_cart_qty"><?php _e('Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </div>
                                        </div>
                                        <div class="sub-title">
                                            <h2><?php _e('Cost on Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                            <div class="tap">
                                                <a id="ap-total-cart-qty-add-field" class="button button-primary button-large"
                                                   href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                <div class="switch_status_div">
                                                    <label class="switch switch_in_pricing_rules">
                                                        <input type="checkbox" name="cost_on_total_cart_qty_status"
                                                               value="on" <?php echo $cost_on_total_cart_qty_status; ?>>
                                                        <div class="slider round"></div>
                                                    </label>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                        <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <table id="tbl-ap-total-cart-qty-method"
                                               class="tbl_total_cart_qty table-outer tap-cas form-table advance-shipping-method-table">
                                            <tbody>
                                            <tr class="heading">
                                                <th class="titledesc th_total_cart_qty_fees_conditions_condition"
                                                    scope="row"><?php _e('Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                <th class="titledesc th_total_cart_qty_fees_conditions_condition" scope="row">
                                                    <?php _e('Min Quantity ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a minimum total cart quantity per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_total_cart_qty_fees_conditions_condition" scope="row">
                                                    <?php _e('Max Quantity', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a maximum total cart quantity per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_total_cart_qty_fees_conditions_condition" scope="row"
                                                    colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('A fixed amount (e.g. 5 / -5)', AFRSM_PRO_TEXT_DOMAIN); ?>, <?php _e('percentage (e.g. 5% / -5%) to add as a
                                                        fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                </th>
                                            </tr>
                                            <?php
                                            //check advanced pricing value fill proper or unset if not
                                            $filled_total_cart_qty = array();
                                            //check if category AP rules exist

                                            if (!empty($sm_metabox_ap_total_cart_qty) && is_array($sm_metabox_ap_total_cart_qty)):

                                                foreach ($sm_metabox_ap_total_cart_qty as $apcat_arr):
                                                    //check that if required field fill or not once save the APR,  if match than fill in array
                                                    if (!empty($apcat_arr) || $apcat_arr != '') {
                                                        if (
                                                            ($apcat_arr['ap_fees_total_cart_qty'] != '' && $apcat_arr['ap_fees_ap_price_total_cart_qty'] != '') &&
                                                            ($apcat_arr['ap_fees_ap_total_cart_qty_min_qty'] != '' || $apcat_arr['ap_fees_ap_total_cart_qty_max_qty'] != '')
                                                        ) {
                                                            //if condition match than fill in array
                                                            $filled_total_cart_qty[] = $apcat_arr;
                                                        }
                                                    }
                                                endforeach;
                                            endif;
                                            //check APR exist
                                            if (isset($filled_total_cart_qty) && !empty($filled_total_cart_qty)) {
                                                $cnt_total_cart_qty = 2;
                                                foreach ($filled_total_cart_qty as $key => $productfees) {
                                                    $fees_ap_fees_total_cart_qty = isset($productfees['ap_fees_total_cart_qty']) ? $productfees['ap_fees_total_cart_qty'] : '';
                                                    $ap_fees_ap_total_cart_qty_min_qty = isset($productfees['ap_fees_ap_total_cart_qty_min_qty']) ? $productfees['ap_fees_ap_total_cart_qty_min_qty'] : '';
                                                    $ap_fees_ap_total_cart_qty_max_qty = isset($productfees['ap_fees_ap_total_cart_qty_max_qty']) ? $productfees['ap_fees_ap_total_cart_qty_max_qty'] : '';
                                                    $ap_fees_ap_price_total_cart_qty = isset($productfees['ap_fees_ap_price_total_cart_qty']) ? $productfees['ap_fees_ap_price_total_cart_qty'] : '';
                                                    ?>
                                                    <tr id="ap_total_cart_qty_row_<?php echo $cnt_total_cart_qty; ?>" valign="top" class="ap_total_cart_qty_row_tr">
                                                        <td class="titledesc" scope="row">
                                                            <label><?php echo esc_html_e('Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                                                            <input type="hidden" name="fees[ap_total_cart_qty_fees_conditions_condition][<?php echo $cnt_total_cart_qty; ?>][]" id="ap_total_cart_qty_fees_conditions_condition_<?php echo $cnt_total_cart_qty; ?>">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_qty; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_total_cart_qty_min_qty][]"
                                                                   class="text-class" id="ap_total_cart_qty_min_qty[]"
                                                                   placeholder="Min quantity"
                                                                   value="<?php echo $ap_fees_ap_total_cart_qty_min_qty; ?>" min="1">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_qty; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_total_cart_qty_max_qty][]"
                                                                   class="text-class" id="ap_total_cart_qty_max_qty[]"
                                                                   placeholder="Max quantity"
                                                                   value="<?php echo $ap_fees_ap_total_cart_qty_max_qty; ?>" min="1">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_qty; ?> condition-value">
                                                            <input type="text"
                                                                   name="fees[ap_price_total_cart_qty][]"
                                                                   class="text-class" id="ap_price_total_cart_qty[]"
                                                                   placeholder="amount"
                                                                   value="<?php echo $ap_fees_ap_price_total_cart_qty; ?>">
                                                            <?php
                                                            //get first character for check is minus sign or not
                                                            $first_char = substr($ap_fees_ap_price_total_cart_qty, 0, 1);
                                                            if ($first_char == '-') {
                                                                //if first character is minus sign than it will display notice.
                                                                echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';
                                                            }
                                                            ?>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_qty; ?> condition-value">
                                                            <a id="ap-total-cart-qty-delete-field" rel-id="<?php echo $cnt_total_cart_qty; ?>"
                                                               title="Delete" class="delete-row" href="javascript:;">
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                    $cnt_total_cart_qty++;
                                                }
                                                ?>
                                                <?php
                                            }
                                            else {
                                                $cnt_total_cart_qty = 1;
                                                ?>
                                            <?php }
                                            ?>
                                            </tbody>
                                        </table>
                                        <input type="hidden" name="total_row_total_cart_qty" id="total_row_total_cart_qty"
                                               value="<?php echo $cnt_total_cart_qty; ?>">
                                        <!-- Advanced Pricing Category Section end here -->
                                    </div>
                                    <!-- Advanced Pricing Total QTY end here -->

                                    <!-- Advanced Pricing Product Weight start here -->
                                    <div class="ap_product_weight_container advance_pricing_rule_box tab-content" id="tab-4">
                                        <div class="tap">
                                            <div class="predefined_elements">
                                                <div id="all_product_weight_list"></div>
                                            </div>
                                            <div class="sub-title">
                                                <h2><?php _e('Cost on Product Weight', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                                <div class="tap">
                                                    <a id="ap-product-weight-add-field" class="button button-primary button-large"
                                                       href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                    <div class="switch_status_div">
                                                        <label class="switch switch_in_pricing_rules">
                                                            <input type="checkbox" name="cost_on_product_weight_status"
                                                                   value="on" <?php echo $cost_on_product_weight_status; ?>>
                                                            <div class="slider round"></div>
                                                        </label>
                                                        <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                            <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <table id="tbl-ap-product-weight-method"
                                                   class="tbl_product_weight_fee table-outer tap-cas form-table advance-shipping-method-table">
                                                <tbody>
                                                <tr class="heading">
                                                    <th class="titledesc th_product_weight_fees_conditions_condition" scope="row">
                                                        <?php _e('Product', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('Select a product to apply the fee amount to when the min/max
                                                weight match.', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                    <th class="titledesc th_product_weight_fees_conditions_condition" scope="row">
                                                        <?php _e('Min weight ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('You can set a minimum product weight per row before the fee amount
                                                is applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                            <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p></th>
                                                    <th class="titledesc th_product_weight_fees_conditions_condition" scope="row">
                                                        <?php _e('Max weight ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('You can set a maximum product weight per row before the fee amount
                                                is applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                            <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        </p></th>
                                                    <th class="titledesc th_product_weight_fees_conditions_condition" scope="row"
                                                        colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                                class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                        <p class="description" style="display:none;">
                                                            <?php _e('A fixed amount (e.g. 5 / -5), percentage (e.g. 5% / -5%) to add as a
                                                fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                    </th>
                                                </tr>
                                                <?php
                                                //check advanced pricing value fill proper or unset if not
                                                $product_weight_filled_arr = array();
                                                if (!empty($sm_metabox_ap_product_weight) && is_array($sm_metabox_ap_product_weight)):
                                                    foreach ($sm_metabox_ap_product_weight as $app_arr):
                                                        //check that if required field fill or not once save the APR,  if match than fill in array
                                                        if (!empty($app_arr) || $app_arr != '') {
                                                            if (($app_arr['ap_fees_product_weight'] != '' && $app_arr['ap_fees_ap_price_product_weight'] != '') && ($app_arr['ap_fees_ap_product_weight_min_qty'] != '' || $app_arr['ap_fees_ap_product_weight_max_qty'] != '')) {
                                                                //if condition match than fill in array
                                                                $product_weight_filled_arr[] = $app_arr;
                                                            }
                                                        }
                                                    endforeach;
                                                endif;
                                                //check APR exist
                                                if (isset($product_weight_filled_arr) && !empty($product_weight_filled_arr)) {
                                                    $cnt_product_weight = 2;
                                                    foreach ($product_weight_filled_arr as $key => $product_weight_fees) {
                                                        $fees_ap_fees_product_weight = isset($product_weight_fees['ap_fees_product_weight']) ? $product_weight_fees['ap_fees_product_weight'] : '';
                                                        $ap_fees_product_weight_min_qty = isset($product_weight_fees['ap_fees_ap_product_weight_min_qty']) ? $product_weight_fees['ap_fees_ap_product_weight_min_qty'] : '';
                                                        $ap_fees_product_weight_max_qty = isset($product_weight_fees['ap_fees_ap_product_weight_max_qty']) ? $product_weight_fees['ap_fees_ap_product_weight_max_qty'] : '';
                                                        $ap_fees_ap_price_product_weight = isset($product_weight_fees['ap_fees_ap_price_product_weight']) ? $product_weight_fees['ap_fees_ap_price_product_weight'] : '';
                                                        ?>
                                                        <tr id="ap_product_weight_row_<?php echo $cnt_product_weight; ?>" valign="top" class="ap_product_weight_row_tr">
                                                            <td class="titledesc" scope="row">
                                                                <?php echo $this->afrsm_pro_get_product_options($cnt_product_weight, $fees_ap_fees_product_weight); ?>
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product_weight; ?> condition-value">
                                                                <input type="number" name="fees[ap_fees_ap_product_weight_min_qty][]"
                                                                       class="text-class" id="ap_fees_ap_product_weight_min_qty[]"
                                                                       placeholder="Min quantity" step="0.01"
                                                                       value="<?php echo $ap_fees_product_weight_min_qty; ?>" min="0.0">
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product_weight; ?> condition-value">
                                                                <input type="number" name="fees[ap_fees_ap_product_weight_max_qty][]"
                                                                       class="text-class" id="ap_fees_ap_product_weight_max_qty[]"
                                                                       placeholder="Max quantity" step="0.01"
                                                                       value="<?php echo $ap_fees_product_weight_max_qty; ?>" min="0.0">
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product_weight; ?> condition-value">
                                                                <input type="text" name="fees[ap_fees_ap_price_product_weight][]"
                                                                       class="text-class"
                                                                       id="ap_fees_ap_price_product_weight[]" placeholder="amount"
                                                                       value="<?php echo $ap_fees_ap_price_product_weight; ?>">
                                                                <?php
                                                                //get first character for check is minus sign or not
                                                                $first_char = substr($ap_fees_ap_price_product_weight, 0, 1);
                                                                if ($first_char == '-') {
                                                                    //if first character is minus sign than it will display notice.
                                                                    echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';
                                                                }
                                                                ?>
                                                            </td>
                                                            <td class="column_<?php echo $cnt_product_weight; ?> condition-value">
                                                                <a id="ap-product-weight-delete-field" rel-id="<?php echo $cnt_product_weight; ?>"
                                                                   title="Delete" class="delete-row" href="javascript:;">
                                                                    <i class="fa fa-trash"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        $cnt_product_weight++;
                                                    }
                                                    ?>
                                                    <?php
                                                } else {
                                                    $cnt_product_weight = 1;
                                                    } ?>
                                                </tbody>
                                            </table>
                                            <input type="hidden" name="total_row_product_weight" id="total_row_product_weight"
                                                   value="<?php echo $cnt_product_weight; ?>">
                                        </div>
                                    </div>
                                    <!-- Advanced PricingProduct Weight end here -->

                                    <!-- Advanced Pricing Category Weight start here -->
                                    <div class="ap_category_weight_container advance_pricing_rule_box tab-content" id="tab-5">
                                        <div class="predefined_elements">
                                            <div id="all_category_weight_list">
                                                <option value=""><?php _e('Select Category', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                <?php echo $this->afrsm_pro_get_category_options(); //ger all product options from bottom function defined  ?>
                                            </div>
                                        </div>
                                        <div class="sub-title">
                                            <h2><?php _e('Cost on Category Weight', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                            <div class="tap">
                                                <a id="ap-category-weight-add-field" class="button button-primary button-large"
                                                   href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                <div class="switch_status_div">
                                                    <label class="switch switch_in_pricing_rules">
                                                        <input type="checkbox" name="cost_on_category_weight_status"
                                                               value="on" <?php echo $cost_on_category_weight_status; ?>>
                                                        <div class="slider round"></div>
                                                    </label>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                        <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <table id="tbl-ap-category-weight-method"
                                               class="tbl_category_weight_fee table-outer tap-cas form-table advance-shipping-method-table">
                                            <tbody>
                                            <tr class="heading">
                                                <th class="titledesc th_category_weight_fees_conditions_condition"
                                                    scope="row"><?php _e('Category', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('Select a category to apply the fee amount to when the min/max weight
                                                        match.', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                <th class="titledesc th_category_weight_fees_conditions_condition" scope="row">
                                                    <?php _e('Min weight ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a minimum category weight per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_category_weight_fees_conditions_condition" scope="row">
                                                    <?php _e('Max weight ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a maximum category weight per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_category_weight_fees_conditions_condition" scope="row"
                                                    colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('A fixed amount (e.g. 5 / -5)', AFRSM_PRO_TEXT_DOMAIN); ?>, <?php _e('percentage (e.g. 5% / -5%) to add as a
                                                        fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                </th>
                                            </tr>
                                            <?php
                                            //check advanced pricing value fill proper or unset if not
                                            $filled_arr_cat_weight = array();
                                            //check if category AP rules exist
                                            if (!empty($sm_metabox_ap_category_weight) && is_array($sm_metabox_ap_category_weight)):

                                                foreach ($sm_metabox_ap_category_weight as $apcat_arr):
                                                    //check that if required field fill or not once save the APR,  if match than fill in array
                                                    if (!empty($apcat_arr) || $apcat_arr != '') {
                                                        if (
                                                            ($apcat_arr['ap_fees_categories_weight'] != '' && $apcat_arr['ap_fees_categories_weight'] != '') &&
                                                            ($apcat_arr['ap_fees_ap_category_weight_min_qty'] != '' || $apcat_arr['ap_fees_ap_category_weight_max_qty'] != '')
                                                        ) {
                                                            //if condition match than fill in array
                                                            $filled_arr_cat_weight[] = $apcat_arr;
                                                        }
                                                    }
                                                endforeach;
                                            endif;
                                            //check APR exist
                                            if (isset($filled_arr_cat_weight) && !empty($filled_arr_cat_weight)) {
                                                $cnt_category_weight = 2;
                                                foreach ($filled_arr_cat_weight as $key => $productfees) {
                                                    $fees_ap_fees_categories_weight = isset($productfees['ap_fees_categories_weight']) ? $productfees['ap_fees_categories_weight'] : '';
                                                    $ap_fees_ap_category_weight_min_qty = isset($productfees['ap_fees_ap_category_weight_min_qty']) ? $productfees['ap_fees_ap_category_weight_min_qty'] : '';
                                                    $ap_fees_ap_category_weight_max_qty = isset($productfees['ap_fees_ap_category_weight_max_qty']) ? $productfees['ap_fees_ap_category_weight_max_qty'] : '';
                                                    $ap_fees_ap_price_category_weight = isset($productfees['ap_fees_ap_price_category_weight']) ? $productfees['ap_fees_ap_price_category_weight'] : '';
                                                    ?>
                                                    <tr id="ap_category_weight_row_<?php echo $cnt_category_weight; ?>" valign="top" class="ap_category_weight_row_tr">
                                                        <td class="titledesc" scope="row">
                                                            <select rel-id="<?php echo $cnt_category_weight; ?>"
                                                                    id="ap_category_weight_fees_conditions_condition_<?php echo $cnt_category_weight; ?>"
                                                                    name="fees[ap_category_weight_fees_conditions_condition][<?php echo $cnt_category_weight; ?>][]"
                                                                    id="ap_category_weight_fees_conditions_condition"
                                                                    class="ap_category_weight product_fees_conditions_values multiselect2"
                                                                    multiple="multiple">
                                                                <option value="">---</option>
                                                                <?php
                                                                echo $this->afrsm_pro_get_category_options($fees_ap_fees_categories_weight);
                                                                ?>
                                                            </select>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category_weight; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_cat_min_weight][]"
                                                                   class="text-class" id="ap_cat_min_weight[]"
                                                                   placeholder="Min weight" step="0.01"
                                                                   value="<?php echo $ap_fees_ap_category_weight_min_qty; ?>" min="0.0">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category_weight; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_cat_max_weight][]"
                                                                   class="text-class" id="ap_cat_max_weight[]"
                                                                   placeholder="Max weight"  step="0.01"
                                                                   value="<?php echo $ap_fees_ap_category_weight_max_qty; ?>" min="0.0">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category_weight; ?> condition-value">
                                                            <input type="text"
                                                                   name="fees[ap_price_category_weight][]"
                                                                   class="text-class" id="ap_price_category_weight[]"
                                                                   placeholder="amount"
                                                                   value="<?php echo $ap_fees_ap_price_category_weight; ?>">
                                                            <?php
                                                            //get first character for check is minus sign or not
                                                            $first_char = substr($ap_fees_ap_price_category_weight, 0, 1);
                                                            if ($first_char == '-') {
                                                                //if first character is minus sign than it will display notice.
                                                                echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';                                                            }
                                                            ?>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_category_weight; ?> condition-value">
                                                            <a id="ap-category-weight-delete-field" rel-id="<?php echo $cnt_category_weight; ?>"
                                                               title="Delete" class="delete-row" href="javascript:;">
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                    $cnt_category_weight++;
                                                }
                                                ?>
                                                <?php
                                            } else {
                                                $cnt_category_weight = 1;
                                                 } ?>
                                            </tbody>
                                        </table>
                                        <input type="hidden" name="total_row_category_weight" id="total_row_category_weight"
                                               value="<?php echo $cnt_category_weight; ?>">
                                        <!-- Advanced Pricing Category Section end here -->
                                    </div>
                                    <!-- Advanced Pricing Category Weight end here -->

                                    <!-- Advanced Pricing Total Cart Weight start here -->
                                    <div class="ap_total_cart_weight_container advance_pricing_rule_box tab-content" id="tab-6">
                                        <div class="predefined_elements">
                                            <div id="all_cart_weight">
                                                <option value="total_cart_weight"><?php _e('Total Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                            </div>
                                        </div>
                                        <div class="sub-title">
                                            <h2><?php _e('Cost on Total Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                            <div class="tap">
                                                <a id="ap-total-cart-weight-add-field" class="button button-primary button-large"
                                                   href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                                <div class="switch_status_div">
                                                    <label class="switch switch_in_pricing_rules">
                                                        <input type="checkbox" name="cost_on_total_cart_weight_status"
                                                               value="on" <?php echo $cost_on_total_cart_weight_status; ?>>
                                                        <div class="slider round"></div>
                                                    </label>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description switch_in_pricing_rules_description" style="display:none;">
                                                        <?php _e(AFRSM_PRO_PERTICULAR_FEE_AMOUNT_NOTICE, AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <table id="tbl-ap-total-cart-weight-method"
                                               class="tbl_total_cart_weight table-outer tap-cas form-table advance-shipping-method-table">
                                            <tbody>
                                            <tr class="heading">
                                                <th class="titledesc th_total_cart_weight_fees_conditions_condition"
                                                    scope="row"><?php _e('Total Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('Total Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?></p></th>
                                                <th class="titledesc th_total_cart_weight_fees_conditions_condition" scope="row">
                                                    <?php _e('Min Weight ', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a minimum total cart weight per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a minimum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_total_cart_weight_fees_conditions_condition" scope="row">
                                                    <?php _e('Max Weight', AFRSM_PRO_TEXT_DOMAIN); ?><span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('You can set a maximum total cart weight per row before the fee amount is
                                                        applied.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                        <br/><?php _e('Leave empty to not set a maximum.', AFRSM_PRO_TEXT_DOMAIN); ?>
                                                    </p></th>
                                                <th class="titledesc th_total_cart_weight_fees_conditions_condition" scope="row"
                                                    colspan="2"><?php _e('Fee amount', AFRSM_PRO_TEXT_DOMAIN); ?> <span
                                                            class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                                    <p class="description" style="display:none;">
                                                        <?php _e('A fixed amount (e.g. 5 / -5)', AFRSM_PRO_TEXT_DOMAIN); ?>, <?php _e('percentage (e.g. 5% / -5%) to add as a
                                                        fee. Percentage and minus amount will apply based on cart subtotal.', AFRSM_PRO_TEXT_DOMAIN); ?></p>
                                                </th>
                                            </tr>
                                            <?php
                                            //check advanced pricing value fill proper or unset if not
                                            $filled_total_cart_weight = array();
                                            //check if category AP rules exist

                                            if (!empty($sm_metabox_ap_total_cart_weight) && is_array($sm_metabox_ap_total_cart_weight)):

                                                foreach ($sm_metabox_ap_total_cart_weight as $apcat_arr):
                                                    //check that if required field fill or not once save the APR,  if match than fill in array
                                                    if (!empty($apcat_arr) || $apcat_arr != '') {
                                                        if (
                                                            ($apcat_arr['ap_fees_total_cart_weight'] != '' && $apcat_arr['ap_fees_ap_price_total_cart_weight'] != '') &&
                                                            ($apcat_arr['ap_fees_ap_total_cart_weight_min_weight'] != '' || $apcat_arr['ap_fees_ap_total_cart_weight_max_weight'] != '')
                                                        ) {
                                                            //if condition match than fill in array
                                                            $filled_total_cart_weight[] = $apcat_arr;
                                                        }
                                                    }
                                                endforeach;
                                            endif;
                                            //check APR exist
                                            if (isset($filled_total_cart_weight) && !empty($filled_total_cart_weight)) {
                                                $cnt_total_cart_weight = 2;
                                                foreach ($filled_total_cart_weight as $key => $productfees) {
                                                    $fees_ap_fees_total_cart_weight = isset($productfees['ap_fees_total_cart_weight']) ? $productfees['ap_fees_total_cart_weight'] : '';
                                                    $ap_fees_ap_total_cart_weight_min_weight = isset($productfees['ap_fees_ap_total_cart_weight_min_weight']) ? $productfees['ap_fees_ap_total_cart_weight_min_weight'] : '';
                                                    $ap_fees_ap_total_cart_weight_max_weight = isset($productfees['ap_fees_ap_total_cart_weight_max_weight']) ? $productfees['ap_fees_ap_total_cart_weight_max_weight'] : '';
                                                    $ap_fees_ap_price_total_cart_weight = isset($productfees['ap_fees_ap_price_total_cart_weight']) ? $productfees['ap_fees_ap_price_total_cart_weight'] : '';
                                                    ?>
                                                    <tr id="ap_total_cart_weight_row_<?php echo $cnt_total_cart_weight; ?>" valign="top" class="ap_total_cart_weight_row_tr">
                                                        <td class="titledesc" scope="row">
                                                            <?php /*<select rel-id="<?php echo $cnt_total_cart_weight; ?>"
                                                                    id="ap_total_cart_weight_fees_conditions_condition_<?php echo $cnt_total_cart_weight; ?>"
                                                                    name="fees[ap_total_cart_weight_fees_conditions_condition][<?php echo $cnt_total_cart_weight; ?>][]"
                                                                    id="ap_total_cart_weight_fees_conditions_condition"
                                                                    class="ap_total_cart_weight product_fees_conditions_values multiselect2"
                                                                    multiple="multiple">
                                                                <option value="">---</option>
                                                                <option value="total_cart_weight"><?php echo esc_html_e('Total Cart Qty', AFRSM_PRO_TEXT_DOMAIN); ?></option>
                                                            </select>*/ ?>
                                                            <label><?php echo esc_html_e('Cart Weight', AFRSM_PRO_TEXT_DOMAIN); ?></label>
                                                            <input type="hidden" name="fees[ap_total_cart_weight_fees_conditions_condition][<?php echo $cnt_total_cart_weight; ?>][]" id="ap_total_cart_weight_fees_conditions_condition_<?php echo $cnt_total_cart_weight; ?>">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_weight; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_total_cart_weight_min_weight][]"
                                                                   class="text-class" id="ap_total_cart_weight_min_weight[]"
                                                                   placeholder="Min weight" step="0.01"
                                                                   value="<?php echo $ap_fees_ap_total_cart_weight_min_weight; ?>" min="0.0">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_weight; ?> condition-value">
                                                            <input type="number"
                                                                   name="fees[ap_total_cart_weight_max_weight][]"
                                                                   class="text-class" id="ap_total_cart_weight_max_weight[]"
                                                                   placeholder="Max weight" step="0.01"
                                                                   value="<?php echo $ap_fees_ap_total_cart_weight_max_weight; ?>" min="0.0">
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_weight; ?> condition-value">
                                                            <input type="text"
                                                                   name="fees[ap_price_total_cart_weight][]"
                                                                   class="text-class" id="ap_price_total_cart_weight[]"
                                                                   placeholder="amount"
                                                                   value="<?php echo $ap_fees_ap_price_total_cart_weight; ?>">
                                                            <?php
                                                            //get first character for check is minus sign or not
                                                            $first_char = substr($ap_fees_ap_price_total_cart_weight, 0, 1);
                                                            if ($first_char == '-') {
                                                                //if first character is minus sign than it will display notice.
                                                                echo '<p><b style="color: red;">Note: </b> '.AFRSM_PRO_FEE_AMOUNT_NOTICE.'</p>';
                                                            }
                                                            ?>
                                                        </td>
                                                        <td class="column_<?php echo $cnt_total_cart_weight; ?> condition-value">
                                                            <a id="ap-total-cart-weight-delete-field" rel-id="<?php echo $cnt_total_cart_weight; ?>"
                                                               title="Delete" class="delete-row" href="javascript:;">
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                    $cnt_total_cart_weight++;
                                                }
                                                ?>
                                                <?php
                                            } else {
                                                $cnt_total_cart_weight = 1;
                                                 } ?>
                                            </tbody>
                                        </table>
                                        <input type="hidden" name="total_row_total_cart_weight" id="total_row_total_cart_weight"
                                               value="<?php echo $cnt_total_cart_weight; ?>">
                                        <!-- Advanced Pricing Category Section end here -->
                                    </div>
                                    <!-- Advanced Pricing Total Cart Weight  end here -->

                                    <!-- Advanced Pricing Class Section start here -->
                                    <?php /* ?>
                                  <div class="ap_class_container shipping-method-table advance_pricing_rule_box">
                                  <div class="predefined_elements">
                                  <div id="all_class_list">
                                  <option value="">---</option>
                                  <?php echo $this->afrsm_pro_get_class_options();//ger all product options from bottom function defined ?>
                                  </div>
                                  </div>
                                  <div class="sub-title">
                                  <h2><?php _e('Cost per Class', AFRSM_PRO_TEXT_DOMAIN); ?></h2>
                                  <div class="tap">
                                  <a id="ap-class-add-field" class="button button-primary button-large"
                                  href="javascript:;"><?php _e('+ Add Rule', AFRSM_PRO_TEXT_DOMAIN); ?></a>
                                  </div>
                                  </div>
                                  <table id="tbl-ap-class-method"
                                  class="tbl_class_fee table-outer tap-cas form-table shipping-method-table">
                                  <tbody>
                                  <tr class="heading">
                                  <th class="titledesc th_class_fees_conditions_condition" scope="row">Class
                                  <span class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                  <p class="description" style="display:none;">
                                  Select a Class to apply the fee amount to when the min/max quantity
                                  match.</p></th>
                                  <th class="titledesc th_class_fees_conditions_condition" scope="row">Min
                                  Quantity <span
                                  class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                  <p class="description" style="display:none;">
                                  You can set a minimum class quantity per row before the fee amount is
                                  applied.<br/>Leave empty to not set a minimum.</p></th>
                                  <th class="titledesc th_class_fees_conditions_condition" scope="row">Max
                                  Quantity <span
                                  class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                  <p class="description" style="display:none;">
                                  You can set a maximum Class quantity per row before the fee amount is
                                  applied.<br/>Leave empty to not set a maximum.</p></th>
                                  <th class="titledesc th_class_fees_conditions_condition" scope="row"
                                  colspan="2">Fee amount <span
                                  class="advanced_flat_rate_shipping_for_woocommerce_tab_description"></span>
                                  <p class="description" style="display:none;">
                                  A fixed amount (e.g. 5 / -5), percentage (e.g. 5% / -5%) to add as a
                                  fee.</p>
                                  </th>
                                  </tr>
                                  <?php
                                  //check advanced pricing value fill proper or unset if not
                                  $filled_arr = array();
                                  //check if class AP rules exist
                                  if (!empty($sm_metabox_ap_class) && is_array($sm_metabox_ap_class)):

                                  foreach ($sm_metabox_ap_class as $apclass_arr):
                                  //check that if required field fill or not once save the APR,  if match than fill in array
                                  if (
                                  ($apclass_arr['ap_fees_classes'] != '' && $apclass_arr['ap_fees_ap_price_class'] != '') &&
                                  ($apclass_arr['ap_fees_ap_class_min_qty'] != '' || $apclass_arr['ap_fees_ap_class_max_qty'] != '')
                                  )
                                  //if condition match than fill in array
                                  $filled_arr[] = $apclass_arr;
                                  endforeach;
                                  endif;

                                  //check APR exist
                                  if (isset($filled_arr) && !empty($filled_arr)) {
                                  $cnt_class = 2;
                                  foreach ($filled_arr as $key => $classFees) {
                                  $fees_ap_fees_classes = isset($classFees['ap_fees_classes']) ? $classFees['ap_fees_classes'] : '';
                                  $ap_fees_ap_class_min_qty = isset($classFees['ap_fees_ap_class_min_qty']) ? $classFees['ap_fees_ap_class_min_qty'] : '';
                                  $ap_fees_ap_class_max_qty = isset($classFees['ap_fees_ap_class_max_qty']) ? $classFees['ap_fees_ap_class_max_qty'] : '';
                                  $ap_fees_ap_price_class = isset($classFees['ap_fees_ap_price_class']) ? $classFees['ap_fees_ap_price_class'] : '';
                                  ?>
                                  <tr id="ap_class_row_<?php echo $cnt_class; ?>" valign="top">
                                  <th class="titledesc" scope="row">
                                  <select rel-id="<?php echo $cnt_class; ?>"
                                  id="ap_class_fees_conditions_condition_<?php echo $cnt_class; ?>"
                                  name="fees[ap_class_fees_conditions_condition][]"
                                  id="ap_class_fees_conditions_condition"
                                  class="ap_class">
                                  <option value="">---</option>
                                  <?php echo $this->afrsm_pro_get_class_options(array($fees_ap_fees_classes)); ?>
                                  </select>
                                  <td class="column_<?php echo $cnt_class; ?> condition-value">
                                  <input type="number" name="fees[ap_class_min_qty][]"
                                  class="text-class" id="ap_class_min_qty[]"
                                  placeholder="Min quantity"
                                  value="<?php echo $ap_fees_ap_class_min_qty; ?>" min="1">
                                  </td>
                                  <td class="column_<?php echo $cnt_class; ?> condition-value">
                                  <input type="number" name="fees[ap_class_max_qty][]"
                                  class="text-class" id="ap_class_max_qty[]"
                                  placeholder="Max quantity"
                                  value="<?php echo $ap_fees_ap_class_max_qty; ?>" min="1">
                                  </td>
                                  <td class="column_<?php echo $cnt_class; ?> condition-value">
                                  <input type="text" name="fees[ap_price_class][]"
                                  class="text-class percent_only" id="ap_price_class[]"
                                  placeholder="amount"
                                  value="<?php echo $ap_fees_ap_price_class; ?>">
                                  <?php
                                  //get first character for check is minus sign or not
                                  $first_char = substr($ap_fees_ap_price_class, 0, 1);
                                  if ($first_char == '-') {
                                  //if first character is minus sign than it will display notice.
                                  echo '<p><b style="color: red;">Note: </b>If entered price is more than total shipping price than Message looks like: <b>Shipping Method Name: Curreny Symbole like($) -60.00 Price </b> and if shipping minus price is more than total price than it will set Total Price to Zero(0).</p>';
                                  }
                                  ?>
                                  </td>
                                  <td class="column_<?php echo $cnt_class; ?> condition-value"><a
                                  id="ap-class-delete-field"
                                  rel-id="<?php echo $cnt_class; ?>" title="Delete"
                                  class="delete-row" href="javascript:;"><i
                                  class="fa fa-trash"></i></a></td>
                                  </tr>
                                  <?php
                                  $cnt_class++;
                                  }
                                  ?>
                                  <?php
                                  } else {
                                  $cnt_class = 1;
                                  ?>
                                  <tr id="ap_class_row_1" valign="top">
                                  <th class="titledesc" scope="row">
                                  <select rel-id="1" id="ap_class_fees_conditions_condition_1"
                                  name="fees[ap_class_fees_conditions_condition][]"
                                  id="ap_class_fees_conditions_condition"
                                  class="ap_class">
                                  <option value="">---</option>
                                  <?php echo $this->afrsm_pro_get_class_options(array()); ?>
                                  </select>
                                  <td class="column_1 condition-value">
                                  <input type="number" name="fees[ap_class_min_qty][]"
                                  class="text-class" id="ap_class_min_qty[]"
                                  placeholder="Min quantity" value="" min="1">
                                  </td>
                                  <td class="column_1 condition-value">
                                  <input type="number" name="fees[ap_class_max_qty][]"
                                  class="text-class" id="ap_class_max_qty[]"
                                  placeholder="Max quantity" value="" min="1">
                                  </td>
                                  <td class="column_1 condition-value">
                                  <input type="text" name="fees[ap_price_class][]"
                                  class="text-class percent_only" id="ap_price_class[]"
                                  placeholder="Amount" value="">
                                  </td>
                                  <td class="column_1 condition-value">
                                  <a id="ap-class-delete-field" rel-id="1" title="Delete" class="delete-row" href="javascript:;">
                                  <i class="fa fa-trash"></i>
                                  </a>
                                  </td>
                                  </tr>
                                  <?php } ?>
                                  </tbody>
                                  </table>
                                  <input type="hidden" name="total_row_class" id="total_row_class"
                                  value="<?php echo $cnt_class; ?>">
                                  </div>
                                  <?php */ ?>
                                    <!-- Advanced Pricing Class Section end here -->
                                </div>
                            </div>

                </div>
                <!-- Advanced Pricing Section end -->

                <p class="submit">
                    <input type="submit" name="submitFee" class="button button-primary button-large"
                           value="<?php echo $submit_text; ?>">
                </p>

            </form>
        </div>

    </div>
<?php
require_once('header/plugin-sidebar.php');
